# Place manual renewal order in InLine Cart

## Overview

Place a manual renewal order using the inline checkout.

## Use case

1. Add an HTML link or button in your page like the one below.
2. Create a JavaScript click handler to execute the Inline Client desired methods.
3. Use the `TwoCoInlineCart.products.add({code, quantity, options})` method to prepare your catalog product.
4. Set the license code as the subscription reference on the cart `TwoCoInlineCart.cart.setSubscription('IMKNNVEY13')`.
5. Set the customer's email address on the cart (the email must match the subscription) `TwoCoInlineCart.billing.setEmail('john.doe@company.com')`.
6. Set the renewal flag on the cart `TwoCoInlineCart.cart.setRenewalFlag(true)`.
7. Use the `TwoCoInlineCart.cart.checkout()` method to show the cart on your page.
8. (Optional) Check the promise rejection for any errors indicating that the email validation failed and handle accordingly.<br>

   ```javascript
   TwoCoInlineCart.cart.checkout().then((value) => {
     console.log("promise was resolved");
     console.log(value);
   })
     .catch((err) => {
     console.log("promise was rejected");
     if (err && err.errors && err.errors.length > 0) {
       const error = err.errors[0];

       if (error.code === 'GDPR_EMAIL_VALIDATION') {
         console.log('GDPR validation failed:', error.message);
         alert('Please verify your email address');
       } else if (error.code === 'BOOT_ERROR') {
         console.log('Boot error:', error.message);
         alert('Unable to initialize cart');
       }
     }
   ```

## Sample request

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### Javascript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
  TwoCoInlineCart.products.add({
    code: "74B8E17CC0"
  });
  TwoCoInlineCart.cart.setSubscription('IMKNNVEY13');
  TwoCoInlineCart.billing.setEmail('john.doe@company.com');
  TwoCoInlineCart.cart.setRenewalFlag(true);
  TwoCoInlineCart.cart.checkout();
});
```

## Demo (using test mode)

{% embed url="<https://codepen.io/2checkout-connectors/embed/RNaxYza?default-tab=html%2Cresult>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/place-manual-renewal-order-in-inline-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
